Discussion:
Bug#988341: unblock: nis/4.3
(too old to reply)
Francesco P. Lovergine
2021-05-10 19:30:02 UTC
Permalink
Package: release.debian.org
Severity: normal
User: ***@packages.debian.org
Usertags: unblock

Please unblock package nis

[ Reason ]

Fixes serious bug #988227 (bashism in postinst).

[ Impact ]

Upgrade not smoothly done from stable.

[ Tests ]

No autopkg test. Manually tested with dash.

[ Risks ]

None.

[ Checklist ]
[x] all changes are documented in the d/changelog
[x] I reviewed all changes and I approve them
[x] attach debdiff against the package in testing

[ Other info ]

Native migration package only.

unblock nis/4.3
--
Francesco P. Lovergine
Sebastian Ramacher
2021-05-11 08:40:01 UTC
Permalink
Control: tags -1 confirmed moreinfo
Post by Francesco P. Lovergine
Package: release.debian.org
Severity: normal
Usertags: unblock
Please unblock package nis
[ Reason ]
Fixes serious bug #988227 (bashism in postinst).
[ Impact ]
Upgrade not smoothly done from stable.
[ Tests ]
No autopkg test. Manually tested with dash.
[ Risks ]
None.
[ Checklist ]
[x] all changes are documented in the d/changelog
[x] I reviewed all changes and I approve them
[x] attach debdiff against the package in testing
[ Other info ]
Native migration package only.
unblock nis/4.3
Not built on buildd: arch all binaries uploaded by frankie, a new source-only upload is needed to allow migration

Please perform a source-only upload and remove the moreinfo tag once
that's done.

Cheers
Post by Francesco P. Lovergine
--
Francesco P. Lovergine
diff -Nru nis-4.2/debian/changelog nis-4.3/debian/changelog
--- nis-4.2/debian/changelog 2021-01-31 10:22:32.000000000 +0100
+++ nis-4.3/debian/changelog 2021-05-08 17:19:24.000000000 +0200
@@ -1,3 +1,10 @@
+nis (4.3) unstable; urgency=medium
+
+ * Fixed a sort-of bashism in postinst.
+ (closes: #988227)
+
+
nis (4.2) unstable; urgency=medium
* Missed removing of /etc/init.d/nis at upgrade time added.
diff -Nru nis-4.2/debian/postinst nis-4.3/debian/postinst
--- nis-4.2/debian/postinst 2021-01-31 10:22:32.000000000 +0100
+++ nis-4.3/debian/postinst 2021-05-08 17:19:24.000000000 +0200
@@ -73,10 +73,13 @@
case "$1" in
configure)
PREV_VER="$2"
- if [ ! -z "$PREV_VER" -a $(dpkg --compare-versions "$PREV_VER" lt '4~'; echo $?) -eq 0 ]
- then
- upgrade_old
- fi
+ if [ ! -z "$PREV_VER" ]
+ then
+ if dpkg --compare-versions "$PREV_VER" lt '4~'
+ then
+ upgrade_old
+ fi
+ fi
rm -f /etc/init.d/nis
;;
*)
--
Sebastian Ramacher
Francesco P. Lovergine
2021-05-11 09:30:02 UTC
Permalink
I found also a pending doc-only change still seating in my repo:

diff --git a/debian/nis.debian.howto b/debian/nis.debian.howto
index e90e549..2641b86 100644
--- a/debian/nis.debian.howto
+++ b/debian/nis.debian.howto
@@ -66,6 +66,13 @@ The NIS how-to on Debian

2.1 FOR LIBC6:

+ Ensure to have libnss-nis package installed. It is currently
+ only recommended by both libc and ypbind-mt, because it is not an
+ essential component for the system. Even, for your own reasons you
+ could be interested in binding a NIS domain to access the NIS maps via
+ yptools, but not activating it as an account information provider for
+ the system.
+
Check your /etc/nsswitch.conf file and make sure that the entries for
passwd, group, shadow and netgroup look like this:

I could add this note to the source-only upload, possibly. Is it ok?
Post by Sebastian Ramacher
Control: tags -1 confirmed moreinfo
Post by Francesco P. Lovergine
Package: release.debian.org
Severity: normal
Usertags: unblock
Please unblock package nis
[ Reason ]
Fixes serious bug #988227 (bashism in postinst).
[ Impact ]
Upgrade not smoothly done from stable.
[ Tests ]
No autopkg test. Manually tested with dash.
[ Risks ]
None.
[ Checklist ]
[x] all changes are documented in the d/changelog
[x] I reviewed all changes and I approve them
[x] attach debdiff against the package in testing
[ Other info ]
Native migration package only.
unblock nis/4.3
Not built on buildd: arch all binaries uploaded by frankie, a new source-only upload is needed to allow migration
Please perform a source-only upload and remove the moreinfo tag once
that's done.
Cheers
Post by Francesco P. Lovergine
--
Francesco P. Lovergine
diff -Nru nis-4.2/debian/changelog nis-4.3/debian/changelog
--- nis-4.2/debian/changelog 2021-01-31 10:22:32.000000000 +0100
+++ nis-4.3/debian/changelog 2021-05-08 17:19:24.000000000 +0200
@@ -1,3 +1,10 @@
+nis (4.3) unstable; urgency=medium
+
+ * Fixed a sort-of bashism in postinst.
+ (closes: #988227)
+
+
nis (4.2) unstable; urgency=medium
* Missed removing of /etc/init.d/nis at upgrade time added.
diff -Nru nis-4.2/debian/postinst nis-4.3/debian/postinst
--- nis-4.2/debian/postinst 2021-01-31 10:22:32.000000000 +0100
+++ nis-4.3/debian/postinst 2021-05-08 17:19:24.000000000 +0200
@@ -73,10 +73,13 @@
case "$1" in
configure)
PREV_VER="$2"
- if [ ! -z "$PREV_VER" -a $(dpkg --compare-versions "$PREV_VER" lt '4~'; echo $?) -eq 0 ]
- then
- upgrade_old
- fi
+ if [ ! -z "$PREV_VER" ]
+ then
+ if dpkg --compare-versions "$PREV_VER" lt '4~'
+ then
+ upgrade_old
+ fi
+ fi
rm -f /etc/init.d/nis
;;
*)
--
Sebastian Ramacher
--
Francesco P. Lovergine
Sebastian Ramacher
2021-05-11 18:50:02 UTC
Permalink
Post by Francesco P. Lovergine
diff --git a/debian/nis.debian.howto b/debian/nis.debian.howto
index e90e549..2641b86 100644
--- a/debian/nis.debian.howto
+++ b/debian/nis.debian.howto
@@ -66,6 +66,13 @@ The NIS how-to on Debian
+ Ensure to have libnss-nis package installed. It is currently
+ only recommended by both libc and ypbind-mt, because it is not an
+ essential component for the system. Even, for your own reasons you
+ could be interested in binding a NIS domain to access the NIS maps via
+ yptools, but not activating it as an account information provider for
+ the system.
+ Check your /etc/nsswitch.conf file and make sure that the
entries for
I could add this note to the source-only upload, possibly. Is it ok?
Yes, that's okay and in line with the freeze policy.

Cheers
Post by Francesco P. Lovergine
Post by Sebastian Ramacher
Control: tags -1 confirmed moreinfo
Post by Francesco P. Lovergine
Package: release.debian.org
Severity: normal
Usertags: unblock
Please unblock package nis
[ Reason ]
Fixes serious bug #988227 (bashism in postinst).
[ Impact ]
Upgrade not smoothly done from stable.
[ Tests ]
No autopkg test. Manually tested with dash.
[ Risks ]
None.
[ Checklist ]
[x] all changes are documented in the d/changelog
[x] I reviewed all changes and I approve them
[x] attach debdiff against the package in testing
[ Other info ]
Native migration package only.
unblock nis/4.3
Not built on buildd: arch all binaries uploaded by frankie, a new source-only upload is needed to allow migration
Please perform a source-only upload and remove the moreinfo tag once
that's done.
Cheers
Post by Francesco P. Lovergine
--
Francesco P. Lovergine
diff -Nru nis-4.2/debian/changelog nis-4.3/debian/changelog
--- nis-4.2/debian/changelog 2021-01-31 10:22:32.000000000 +0100
+++ nis-4.3/debian/changelog 2021-05-08 17:19:24.000000000 +0200
@@ -1,3 +1,10 @@
+nis (4.3) unstable; urgency=medium
+
+ * Fixed a sort-of bashism in postinst.
+ (closes: #988227)
+
+
nis (4.2) unstable; urgency=medium
* Missed removing of /etc/init.d/nis at upgrade time added.
diff -Nru nis-4.2/debian/postinst nis-4.3/debian/postinst
--- nis-4.2/debian/postinst 2021-01-31 10:22:32.000000000 +0100
+++ nis-4.3/debian/postinst 2021-05-08 17:19:24.000000000 +0200
@@ -73,10 +73,13 @@
case "$1" in
configure)
PREV_VER="$2"
- if [ ! -z "$PREV_VER" -a $(dpkg --compare-versions "$PREV_VER" lt '4~'; echo $?) -eq 0 ]
- then
- upgrade_old
- fi
+ if [ ! -z "$PREV_VER" ]
+ then
+ if dpkg --compare-versions "$PREV_VER" lt '4~'
+ then
+ upgrade_old
+ fi
+ fi
rm -f /etc/init.d/nis
;;
*)
--
Sebastian Ramacher
--
Francesco P. Lovergine
--
Sebastian Ramacher
Francesco P. Lovergine
2021-05-12 08:10:01 UTC
Permalink
retitle 988341 unblock: nis/4.4
tags 988341 - moreinfo
thanks

debdiff included
Post by Sebastian Ramacher
Post by Francesco P. Lovergine
diff --git a/debian/nis.debian.howto b/debian/nis.debian.howto
index e90e549..2641b86 100644
--- a/debian/nis.debian.howto
+++ b/debian/nis.debian.howto
@@ -66,6 +66,13 @@ The NIS how-to on Debian
+ Ensure to have libnss-nis package installed. It is currently
+ only recommended by both libc and ypbind-mt, because it is not an
+ essential component for the system. Even, for your own reasons you
+ could be interested in binding a NIS domain to access the NIS maps via
+ yptools, but not activating it as an account information provider for
+ the system.
+ Check your /etc/nsswitch.conf file and make sure that the
entries for
I could add this note to the source-only upload, possibly. Is it ok?
Yes, that's okay and in line with the freeze policy.
Cheers
Post by Francesco P. Lovergine
Post by Sebastian Ramacher
Control: tags -1 confirmed moreinfo
Post by Francesco P. Lovergine
Package: release.debian.org
Severity: normal
Usertags: unblock
Please unblock package nis
[ Reason ]
Fixes serious bug #988227 (bashism in postinst).
[ Impact ]
Upgrade not smoothly done from stable.
[ Tests ]
No autopkg test. Manually tested with dash.
[ Risks ]
None.
[ Checklist ]
[x] all changes are documented in the d/changelog
[x] I reviewed all changes and I approve them
[x] attach debdiff against the package in testing
[ Other info ]
Native migration package only.
unblock nis/4.3
Not built on buildd: arch all binaries uploaded by frankie, a new source-only upload is needed to allow migration
Please perform a source-only upload and remove the moreinfo tag once
that's done.
Cheers
Post by Francesco P. Lovergine
--
Francesco P. Lovergine
diff -Nru nis-4.2/debian/changelog nis-4.3/debian/changelog
--- nis-4.2/debian/changelog 2021-01-31 10:22:32.000000000 +0100
+++ nis-4.3/debian/changelog 2021-05-08 17:19:24.000000000 +0200
@@ -1,3 +1,10 @@
+nis (4.3) unstable; urgency=medium
+
+ * Fixed a sort-of bashism in postinst.
+ (closes: #988227)
+
+
nis (4.2) unstable; urgency=medium
* Missed removing of /etc/init.d/nis at upgrade time added.
diff -Nru nis-4.2/debian/postinst nis-4.3/debian/postinst
--- nis-4.2/debian/postinst 2021-01-31 10:22:32.000000000 +0100
+++ nis-4.3/debian/postinst 2021-05-08 17:19:24.000000000 +0200
@@ -73,10 +73,13 @@
case "$1" in
configure)
PREV_VER="$2"
- if [ ! -z "$PREV_VER" -a $(dpkg --compare-versions "$PREV_VER" lt '4~'; echo $?) -eq 0 ]
- then
- upgrade_old
- fi
+ if [ ! -z "$PREV_VER" ]
+ then
+ if dpkg --compare-versions "$PREV_VER" lt '4~'
+ then
+ upgrade_old
+ fi
+ fi
rm -f /etc/init.d/nis
;;
*)
--
Sebastian Ramacher
--
Francesco P. Lovergine
--
Sebastian Ramacher
--
Francesco P. Lovergine
Debian Bug Tracking System
2021-05-11 08:40:01 UTC
Permalink
Post by Sebastian Ramacher
tags -1 confirmed moreinfo
Bug #988341 [release.debian.org] unblock: nis/4.3
Added tag(s) moreinfo and confirmed.
--
988341: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=988341
Debian Bug Tracking System
Contact ***@bugs.debian.org with problems
Debian Bug Tracking System
2021-05-12 17:50:02 UTC
Permalink
Your message dated Wed, 12 May 2021 17:39:51 +0000
with message-id <E1lgspr-0006yV-***@respighi.debian.org>
and subject line unblock nis
has caused the Debian Bug report #988341,
regarding unblock: nis/4.4
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ***@bugs.debian.org
immediately.)
--
988341: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=988341
Debian Bug Tracking System
Contact ***@bugs.debian.org with problems
Loading...